import $ from './../../utils/Tool'
import utils from "../../utils/util"
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    projectList:$.store.get('tenants'),
    tenantId:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({tenantId:app.globalData.tenantId})
    let dataCope=JSON.parse(JSON.stringify($.store.get('tenants')));
    dataCope= utils.buildTree(dataCope);
    this.setData({projectList:dataCope});
  },
  chooseTenant(e){
    // console.log(e);
    const value = e.currentTarget.dataset.index;
    if(this.data.tenantId&&this.data.tenantId==value.tenantId){
      return
    }
    $.storage.set('projectId',value.projectId)
    $.storage.set('tenantId',value.tenantId)
    $.storage.set('tenantName',value.tenantName)
    this.setData({tenantId:value.tenantId});

    $.store.set('projectId',value.projectId)
    $.store.set('tenantId',value.tenantId)
    $.store.set('tenantName',value.tenantName)
    let pages = getCurrentPages();
    let prevPage = pages[ pages.length - 2 ];
    prevPage.setData({  // 将我们想要传递的参数在这里直接setData。上个页面就会执行这里的操作。
      formList:true,
    })

    wx.navigateBack({
      delta: 1  // 返回上一级页面。
    })
  },
})